Subject: bug#52543: Add option to eliminate all duplications from the kill ring

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Dec 2021 11:01:04 +0100

Juri Linkov <[email-masked]> writes:

> But it would be strange to modify kill-ring in the transform function.
> So maybe kill-do-not-save-duplicates should support a special choice
> 'delete-duplicates' after all.

I think some people wouldn't want to remove the duplicates (and add to
the front), and some wouldn't want to add at all (I think that was the
request in the other bug report?), and some want to take text properties
into account, and some don't, so I think leaving this to the user and
the transform function is the right solution.  But we don't have to make
any pre-made functions for this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no